## wxBusyCursor

This class makes it easy to tell your user that the program is temporarily busy. Just create a wxBusyCursor object on the stack, and within the current scope, the hourglass will be shown.

For example:

      wxBusyCursor wait;

      for (int i = 0; i < 100000; i++)
        DoACalculation();

It works by calling wxBeginBusyCursor in the constructor, and wxEndBusyCursor in the destructor.

Derived from

None

Include files

<wx/utils.h>

See also

wxBeginBusyCursor, wxEndBusyCursor, wxWindowDisabler

Members

wxBusyCursor::wxBusyCursor
wxBusyCursor::~wxBusyCursor

### wxBusyCursor::wxBusyCursor

wxBusyCursor(wxCursor* cursor = wxHOURGLASS_CURSOR)

Constructs a busy cursor object, calling wxBeginBusyCursor.

### wxBusyCursor::~wxBusyCursor

~wxBusyCursor()

Destroys the busy cursor object, calling wxEndBusyCursor.